diff --git a/lib/utils/__init__.py b/lib/utils/__init__.py
index cdf6a13..d0df821 100644
--- a/lib/utils/__init__.py
+++ b/lib/utils/__init__.py
@@ -57,8 +57,8 @@ from ganeti.utils.x509 import *
 
 _VALID_SERVICE_NAME_RE = re.compile("^[-_.a-zA-Z0-9]{1,128}$")
 
-UUID_RE = re.compile('^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-'
-                     '[a-f0-9]{4}-[a-f0-9]{12}$')
+UUID_RE = re.compile("^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-"
+                     "[a-f0-9]{4}-[a-f0-9]{12}$")
 
 
 def ForceDictType(target, key_types, allowed_values=None):
@@ -98,7 +98,7 @@ def ForceDictType(target, key_types, allowed_values=None):
         pass
       elif not isinstance(target[key], basestring):
         if isinstance(target[key], bool) and not target[key]:
-          target[key] = ''
+          target[key] = ""
         else:
           msg = "'%s' (value %s) is not a valid string" % (key, target[key])
           raise errors.TypeEnforcementError(msg)
@@ -546,15 +546,15 @@ def SignalHandled(signums):
   """
   def wrap(fn):
     def sig_function(*args, **kwargs):
-      assert 'signal_handlers' not in kwargs or \
-             kwargs['signal_handlers'] is None or \
-             isinstance(kwargs['signal_handlers'], dict), \
+      assert "signal_handlers" not in kwargs or \
+             kwargs["signal_handlers"] is None or \
+             isinstance(kwargs["signal_handlers"], dict), \
              "Wrong signal_handlers parameter in original function call"
-      if 'signal_handlers' in kwargs and kwargs['signal_handlers'] is not None:
-        signal_handlers = kwargs['signal_handlers']
+      if "signal_handlers" in kwargs and kwargs["signal_handlers"] is not None:
+        signal_handlers = kwargs["signal_handlers"]
       else:
         signal_handlers = {}
-        kwargs['signal_handlers'] = signal_handlers
+        kwargs["signal_handlers"] = signal_handlers
       sighandler = SignalHandler(signums)
       try:
         for sig in signums:
diff --git a/lib/utils/io.py b/lib/utils/io.py
index 08c9990..4c1df6c 100644
--- a/lib/utils/io.py
+++ b/lib/utils/io.py
@@ -362,10 +362,10 @@ def CreateBackup(file_name):
             (os.path.basename(file_name), TimestampForFilename()))
   dir_name = os.path.dirname(file_name)
 
-  fsrc = open(file_name, 'rb')
+  fsrc = open(file_name, "rb")
   try:
     (fd, backup_name) = tempfile.mkstemp(prefix=prefix, dir=dir_name)
-    fdst = os.fdopen(fd, 'wb')
+    fdst = os.fdopen(fd, "wb")
     try:
       logging.debug("Backing up %s at %s", file_name, backup_name)
       shutil.copyfileobj(fsrc, fdst)
@@ -632,7 +632,7 @@ def AddAuthorizedKey(file_obj, key):
   key_fields = key.split()
 
   if isinstance(file_obj, basestring):
-    f = open(file_obj, 'a+')
+    f = open(file_obj, "a+")
   else:
     f = file_obj
 
@@ -642,11 +642,11 @@ def AddAuthorizedKey(file_obj, key):
       # Ignore whitespace changes
       if line.split() == key_fields:
         break
-      nl = line.endswith('\n')
+      nl = line.endswith("\n")
     else:
       if not nl:
         f.write("\n")
-      f.write(key.rstrip('\r\n'))
+      f.write(key.rstrip("\r\n"))
       f.write("\n")
       f.flush()
   finally:
@@ -666,9 +666,9 @@ def RemoveAuthorizedKey(file_name, key):
 
   fd, tmpname = tempfile.mkstemp(dir=os.path.dirname(file_name))
   try:
-    out = os.fdopen(fd, 'w')
+    out = os.fdopen(fd, "w")
     try:
-      f = open(file_name, 'r')
+      f = open(file_name, "r")
       try:
         for line in f:
           # Ignore whitespace changes while comparing lines
diff --git a/lib/utils/text.py b/lib/utils/text.py
index d8e0984..bfce363 100644
--- a/lib/utils/text.py
+++ b/lib/utils/text.py
@@ -35,7 +35,7 @@ from ganeti import errors
 _PARSEUNIT_REGEX = re.compile(r"^([.\d]+)\s*([a-zA-Z]+)?$")
 
 #: Characters which don't need to be quoted for shell commands
-_SHELL_UNQUOTED_RE = re.compile('^[-.,=:/_+@A-Za-z0-9]+$')
+_SHELL_UNQUOTED_RE = re.compile("^[-.,=:/_+@A-Za-z0-9]+$")
 
 #: MAC checker regexp
 _MAC_CHECK_RE = re.compile("^([0-9a-f]{2}:){5}[0-9a-f]{2}$", re.I)
@@ -143,24 +143,24 @@ def FormatUnit(value, units):
   @return: the formatted value (with suffix)
 
   """
-  if units not in ('m', 'g', 't', 'h'):
+  if units not in ("m", "g", "t", "h"):
     raise errors.ProgrammerError("Invalid unit specified '%s'" % str(units))
 
-  suffix = ''
+  suffix = ""
 
-  if units == 'm' or (units == 'h' and value < 1024):
-    if units == 'h':
-      suffix = 'M'
+  if units == "m" or (units == "h" and value < 1024):
+    if units == "h":
+      suffix = "M"
     return "%d%s" % (round(value, 0), suffix)
 
-  elif units == 'g' or (units == 'h' and value < (1024 * 1024)):
-    if units == 'h':
-      suffix = 'G'
+  elif units == "g" or (units == "h" and value < (1024 * 1024)):
+    if units == "h":
+      suffix = "G"
     return "%0.1f%s" % (round(float(value) / 1024, 1), suffix)
 
   else:
-    if units == 'h':
-      suffix = 'T'
+    if units == "h":
+      suffix = "T"
     return "%0.1f%s" % (round(float(value) / 1024 / 1024, 1), suffix)
 
 
@@ -182,16 +182,16 @@ def ParseUnit(input_string):
   if unit:
     lcunit = unit.lower()
   else:
-    lcunit = 'm'
+    lcunit = "m"
 
-  if lcunit in ('m', 'mb', 'mib'):
+  if lcunit in ("m", "mb", "mib"):
     # Value already in MiB
     pass
 
-  elif lcunit in ('g', 'gb', 'gib'):
+  elif lcunit in ("g", "gb", "gib"):
     value *= 1024
 
-  elif lcunit in ('t', 'tb', 'tib'):
+  elif lcunit in ("t", "tb", "tib"):
     value *= 1024 * 1024
 
   else:
@@ -334,15 +334,15 @@ def SafeEncode(text):
   """
   if isinstance(text, unicode):
     # only if unicode; if str already, we handle it below
-    text = text.encode('ascii', 'backslashreplace')
+    text = text.encode("ascii", "backslashreplace")
   resu = ""
   for char in text:
     c = ord(char)
-    if char  == '\t':
-      resu += r'\t'
-    elif char == '\n':
-      resu += r'\n'
-    elif char == '\r':
+    if char  == "\t":
+      resu += r"\t"
+    elif char == "\n":
+      resu += r"\n"
+    elif char == "\r":
       resu += r'\'r'
     elif c < 32 or c >= 127: # non-printable
       resu += "\\x%02x" % (c & 0xff)
diff --git a/qa/ganeti-qa.py b/qa/ganeti-qa.py
index 8b3d8f9..6fa83c7 100755
--- a/qa/ganeti-qa.py
+++ b/qa/ganeti-qa.py
@@ -245,7 +245,7 @@ def RunCommonInstanceTests(instance):
 
   RunTestIf("instance-reboot", qa_instance.TestInstanceReboot, instance)
 
-  if qa_config.TestEnabled('instance-rename'):
+  if qa_config.TestEnabled("instance-rename"):
     rename_source = instance["name"]
     rename_target = qa_config.get("rename", None)
     RunTest(qa_instance.TestInstanceShutdown, instance)
@@ -310,7 +310,7 @@ def RunExportImportTests(instance, pnode, snode):
       otherwise None
 
   """
-  if qa_config.TestEnabled('instance-export'):
+  if qa_config.TestEnabled("instance-export"):
     RunTest(qa_instance.TestInstanceExportNoTarget, instance)
 
     expnode = qa_config.AcquireNode(exclude=pnode)
@@ -319,7 +319,7 @@ def RunExportImportTests(instance, pnode, snode):
 
       RunTest(qa_instance.TestBackupList, expnode)
 
-      if qa_config.TestEnabled('instance-import'):
+      if qa_config.TestEnabled("instance-import"):
         newinst = qa_config.AcquireInstance()
         try:
           RunTest(qa_instance.TestInstanceImport, pnode, newinst,
@@ -373,7 +373,7 @@ def RunHardwareFailureTests(instance, pnode, snode):
   RunTestIf(["instance-migrate", "rapi"],
             qa_rapi.TestRapiInstanceMigrate, instance)
 
-  if qa_config.TestEnabled('instance-replace-disks'):
+  if qa_config.TestEnabled("instance-replace-disks"):
     othernode = qa_config.AcquireNode(exclude=[pnode, snode])
     try:
       RunTest(qa_instance.TestReplaceDisks,
@@ -448,7 +448,7 @@ def RunQa():
       del instance
 
     multinode_tests = [
-      ('instance-add-drbd-disk',
+      ("instance-add-drbd-disk",
        qa_instance.TestInstanceAddWithDrbdDisk),
     ]
 
@@ -462,7 +462,7 @@ def RunQa():
           RunTest(qa_group.TestAssignNodesIncludingSplit,
                   constants.INITIAL_NODE_GROUP_NAME,
                   pnode["primary"], snode["primary"])
-          if qa_config.TestEnabled('instance-convert-disk'):
+          if qa_config.TestEnabled("instance-convert-disk"):
             RunTest(qa_instance.TestInstanceShutdown, instance)
             RunTest(qa_instance.TestInstanceConvertDisk, instance, snode)
             RunTest(qa_instance.TestInstanceStartup, instance)
@@ -503,7 +503,7 @@ def main():
 
   """
   parser = optparse.OptionParser(usage="%prog [options] <config-file>")
-  parser.add_option('--yes-do-it', dest='yes_do_it',
+  parser.add_option("--yes-do-it", dest="yes_do_it",
       action="store_true",
       help="Really execute the tests")
   (qa_config.options, args) = parser.parse_args()
@@ -527,5 +527,5 @@ def main():
   finally:
     qa_utils.CloseMultiplexers()
 
-if __name__ == '__main__':
+if __name__ == "__main__":
   main()
diff --git a/qa/qa_cluster.py b/qa/qa_cluster.py
index cca7133..ee12557 100644
--- a/qa/qa_cluster.py
+++ b/qa/qa_cluster.py
@@ -76,39 +76,39 @@ def TestClusterInit(rapi_user, rapi_secret):
     fh.close()
 
   # Initialize cluster
-  cmd = ['gnt-cluster', 'init']
+  cmd = ["gnt-cluster", "init"]
 
   cmd.append("--primary-ip-version=%d" %
              qa_config.get("primary_ip_version", 4))
 
-  if master.get('secondary', None):
-    cmd.append('--secondary-ip=%s' % master['secondary'])
+  if master.get("secondary", None):
+    cmd.append("--secondary-ip=%s" % master["secondary"])
 
-  bridge = qa_config.get('bridge', None)
+  bridge = qa_config.get("bridge", None)
   if bridge:
-    cmd.append('--bridge=%s' % bridge)
-    cmd.append('--master-netdev=%s' % bridge)
+    cmd.append("--bridge=%s" % bridge)
+    cmd.append("--master-netdev=%s" % bridge)
 
-  htype = qa_config.get('enabled-hypervisors', None)
+  htype = qa_config.get("enabled-hypervisors", None)
   if htype:
-    cmd.append('--enabled-hypervisors=%s' % htype)
+    cmd.append("--enabled-hypervisors=%s" % htype)
 
-  cmd.append(qa_config.get('name'))
+  cmd.append(qa_config.get("name"))
 
   AssertCommand(cmd)
 
 
 def TestClusterRename():
   """gnt-cluster rename"""
-  cmd = ['gnt-cluster', 'rename', '-f']
+  cmd = ["gnt-cluster", "rename", "-f"]
 
-  original_name = qa_config.get('name')
-  rename_target = qa_config.get('rename', None)
+  original_name = qa_config.get("name")
+  rename_target = qa_config.get("rename", None)
   if rename_target is None:
     print qa_utils.FormatError('"rename" entry is missing')
     return
 
-  cmd_verify = ['gnt-cluster', 'verify']
+  cmd_verify = ["gnt-cluster", "verify"]
 
   for data in [
     cmd + [rename_target],
@@ -332,19 +332,19 @@ def TestClusterBurnin():
   """Burnin"""
   master = qa_config.GetMasterNode()
 
-  options = qa_config.get('options', {})
-  disk_template = options.get('burnin-disk-template', 'drbd')
-  parallel = options.get('burnin-in-parallel', False)
-  check_inst = options.get('burnin-check-instances', False)
-  do_rename = options.get('burnin-rename', '')
-  do_reboot = options.get('burnin-reboot', True)
+  options = qa_config.get("options", {})
+  disk_template = options.get("burnin-disk-template", "drbd")
+  parallel = options.get("burnin-in-parallel", False)
+  check_inst = options.get("burnin-check-instances", False)
+  do_rename = options.get("burnin-rename", "")
+  do_reboot = options.get("burnin-reboot", True)
   reboot_types = options.get("reboot-types", constants.REBOOT_TYPES)
 
   # Get as many instances as we need
   instances = []
   try:
     try:
-      num = qa_config.get('options', {}).get('burnin-instances', 1)
+      num = qa_config.get("options", {}).get("burnin-instances", 1)
       for _ in range(0, num):
         instances.append(qa_config.AcquireInstance())
     except qa_error.OutOfInstancesError:
@@ -353,26 +353,26 @@ def TestClusterBurnin():
     if len(instances) < 1:
       raise qa_error.Error("Burnin needs at least one instance")
 
-    script = qa_utils.UploadFile(master['primary'], '../tools/burnin')
+    script = qa_utils.UploadFile(master["primary"], "../tools/burnin")
     try:
       # Run burnin
       cmd = [script,
-             '--os=%s' % qa_config.get('os'),
-             '--disk-size=%s' % ",".join(qa_config.get('disk')),
-             '--disk-growth=%s' % ",".join(qa_config.get('disk-growth')),
-             '--disk-template=%s' % disk_template]
+             "--os=%s" % qa_config.get("os"),
+             "--disk-size=%s" % ",".join(qa_config.get("disk")),
+             "--disk-growth=%s" % ",".join(qa_config.get("disk-growth")),
+             "--disk-template=%s" % disk_template]
       if parallel:
-        cmd.append('--parallel')
-        cmd.append('--early-release')
+        cmd.append("--parallel")
+        cmd.append("--early-release")
       if check_inst:
-        cmd.append('--http-check')
+        cmd.append("--http-check")
       if do_rename:
-        cmd.append('--rename=%s' % do_rename)
+        cmd.append("--rename=%s" % do_rename)
       if not do_reboot:
-        cmd.append('--no-reboot')
+        cmd.append("--no-reboot")
       else:
-        cmd.append('--reboot-types=%s' % ",".join(reboot_types))
-      cmd += [inst['name'] for inst in instances]
+        cmd.append("--reboot-types=%s" % ",".join(reboot_types))
+      cmd += [inst["name"] for inst in instances]
       AssertCommand(cmd)
     finally:
       AssertCommand(["rm", "-f", script])
@@ -439,7 +439,7 @@ def TestClusterCopyfile():
   f.seek(0)
 
   # Upload file to master node
-  testname = qa_utils.UploadFile(master['primary'], f.name)
+  testname = qa_utils.UploadFile(master["primary"], f.name)
   try:
     # Copy file to all nodes
     AssertCommand(["gnt-cluster", "copyfile", testname])
@@ -452,8 +452,8 @@ def TestClusterCommand():
   """gnt-cluster command"""
   uniqueid = utils.NewUUID()
   rfile = "/tmp/gnt%s" % utils.NewUUID()
-  rcmd = utils.ShellQuoteArgs(['echo', '-n', uniqueid])
-  cmd = utils.ShellQuoteArgs(['gnt-cluster', 'command',
+  rcmd = utils.ShellQuoteArgs(["echo", "-n", uniqueid])
+  cmd = utils.ShellQuoteArgs(["gnt-cluster", "command",
                               "%s >%s" % (rcmd, rfile)])
 
   try:
diff --git a/qa/qa_config.py b/qa/qa_config.py
index 62b0a07..29c6e69 100644
--- a/qa/qa_config.py
+++ b/qa/qa_config.py
@@ -47,9 +47,9 @@ def Load(path):
 
 
 def Validate():
-  if len(cfg['nodes']) < 1:
+  if len(cfg["nodes"]) < 1:
     raise qa_error.Error("Need at least one node")
-  if len(cfg['instances']) < 1:
+  if len(cfg["instances"]) < 1:
     raise qa_error.Error("Need at least one instance")
   if len(cfg["disk"]) != len(cfg["disk-growth"]):
     raise qa_error.Error("Config options 'disk' and 'disk-growth' must have"
@@ -72,7 +72,7 @@ def TestEnabled(tests):
 
 
 def GetMasterNode():
-  return cfg['nodes'][0]
+  return cfg["nodes"][0]
 
 
 def AcquireInstance():
@@ -80,20 +80,20 @@ def AcquireInstance():
 
   """
   # Filter out unwanted instances
-  tmp_flt = lambda inst: not inst.get('_used', False)
-  instances = filter(tmp_flt, cfg['instances'])
+  tmp_flt = lambda inst: not inst.get("_used", False)
+  instances = filter(tmp_flt, cfg["instances"])
   del tmp_flt
 
   if len(instances) == 0:
     raise qa_error.OutOfInstancesError("No instances left")
 
   inst = instances[0]
-  inst['_used'] = True
+  inst["_used"] = True
   return inst
 
 
 def ReleaseInstance(inst):
-  inst['_used'] = False
+  inst["_used"] = False
 
 
 def AcquireNode(exclude=None):
@@ -105,13 +105,13 @@ def AcquireNode(exclude=None):
   # Filter out unwanted nodes
   # TODO: Maybe combine filters
   if exclude is None:
-    nodes = cfg['nodes'][:]
+    nodes = cfg["nodes"][:]
   elif isinstance(exclude, (list, tuple)):
-    nodes = filter(lambda node: node not in exclude, cfg['nodes'])
+    nodes = filter(lambda node: node not in exclude, cfg["nodes"])
   else:
-    nodes = filter(lambda node: node != exclude, cfg['nodes'])
+    nodes = filter(lambda node: node != exclude, cfg["nodes"])
 
-  tmp_flt = lambda node: node.get('_added', False) or node == master
+  tmp_flt = lambda node: node.get("_added", False) or node == master
   nodes = filter(tmp_flt, nodes)
   del tmp_flt
 
@@ -120,17 +120,17 @@ def AcquireNode(exclude=None):
 
   # Get node with least number of uses
   def compare(a, b):
-    result = cmp(a.get('_count', 0), b.get('_count', 0))
+    result = cmp(a.get("_count", 0), b.get("_count", 0))
     if result == 0:
-      result = cmp(a['primary'], b['primary'])
+      result = cmp(a["primary"], b["primary"])
     return result
 
   nodes.sort(cmp=compare)
 
   node = nodes[0]
-  node['_count'] = node.get('_count', 0) + 1
+  node["_count"] = node.get("_count", 0) + 1
   return node
 
 
 def ReleaseNode(node):
-  node['_count'] = node.get('_count', 0) - 1
+  node["_count"] = node.get("_count", 0) - 1
diff --git a/qa/qa_env.py b/qa/qa_env.py
index 211b386..e9293b0 100644
--- a/qa/qa_env.py
+++ b/qa/qa_env.py
@@ -42,23 +42,23 @@ def TestGanetiCommands():
   """Test availibility of Ganeti commands.
 
   """
-  cmds = ( ['gnt-backup', '--version'],
-           ['gnt-cluster', '--version'],
-           ['gnt-debug', '--version'],
-           ['gnt-instance', '--version'],
-           ['gnt-job', '--version'],
-           ['gnt-node', '--version'],
-           ['gnt-os', '--version'],
-           ['ganeti-masterd', '--version'],
-           ['ganeti-noded', '--version'],
-           ['ganeti-rapi', '--version'],
-           ['ganeti-watcher', '--version'],
-           ['ganeti-confd', '--version'],
+  cmds = ( ["gnt-backup", "--version"],
+           ["gnt-cluster", "--version"],
+           ["gnt-debug", "--version"],
+           ["gnt-instance", "--version"],
+           ["gnt-job", "--version"],
+           ["gnt-node", "--version"],
+           ["gnt-os", "--version"],
+           ["ganeti-masterd", "--version"],
+           ["ganeti-noded", "--version"],
+           ["ganeti-rapi", "--version"],
+           ["ganeti-watcher", "--version"],
+           ["ganeti-confd", "--version"],
            )
 
-  cmd = ' && '.join([utils.ShellQuoteArgs(i) for i in cmds])
+  cmd = " && ".join([utils.ShellQuoteArgs(i) for i in cmds])
 
-  for node in qa_config.get('nodes'):
+  for node in qa_config.get("nodes"):
     AssertCommand(cmd, node=node)
 
 
@@ -66,7 +66,7 @@ def TestIcmpPing():
   """ICMP ping each node.
 
   """
-  nodes = qa_config.get('nodes')
+  nodes = qa_config.get("nodes")
 
   pingprimary = pingsecondary = "fping"
   if qa_config.get("primary_ip_version") == 6:
diff --git a/qa/qa_instance.py b/qa/qa_instance.py
index ab2a0f4..4747839 100644
--- a/qa/qa_instance.py
+++ b/qa/qa_instance.py
@@ -42,8 +42,8 @@ def _GetDiskStatePath(disk):
 
 
 def _GetGenericAddParameters():
-  params = ['-B', '%s=%s' % (constants.BE_MEMORY, qa_config.get('mem'))]
-  for idx, size in enumerate(qa_config.get('disk')):
+  params = ["-B", "%s=%s" % (constants.BE_MEMORY, qa_config.get("mem"))]
+  for idx, size in enumerate(qa_config.get("disk")):
     params.extend(["--disk", "%s:size=%s" % (idx, size)])
   return params
 
@@ -51,12 +51,12 @@ def _GetGenericAddParameters():
 def _DiskTest(node, disk_template):
   instance = qa_config.AcquireInstance()
   try:
-    cmd = (['gnt-instance', 'add',
-            '--os-type=%s' % qa_config.get('os'),
-            '--disk-template=%s' % disk_template,
-            '--node=%s' % node] +
+    cmd = (["gnt-instance", "add",
+            "--os-type=%s" % qa_config.get("os"),
+            "--disk-template=%s" % disk_template,
+            "--node=%s" % node] +
            _GetGenericAddParameters())
-    cmd.append(instance['name'])
+    cmd.append(instance["name"])
 
     AssertCommand(cmd)
 
@@ -70,13 +70,13 @@ def _DiskTest(node, disk_template):
 
 def TestInstanceAddWithPlainDisk(node):
   """gnt-instance add -t plain"""
-  return _DiskTest(node['primary'], 'plain')
+  return _DiskTest(node["primary"], "plain")
 
 
 def TestInstanceAddWithDrbdDisk(node, node2):
   """gnt-instance add -t drbd"""
-  return _DiskTest("%s:%s" % (node['primary'], node2['primary']),
-                   'drbd')
+  return _DiskTest("%s:%s" % (node["primary"], node2["primary"]),
+                   "drbd")
 
 
 def TestInstanceRemove(instance):
@@ -98,7 +98,7 @@ def TestInstanceShutdown(instance):
 
 def TestInstanceReboot(instance):
   """gnt-instance reboot"""
-  options = qa_config.get('options', {})
+  options = qa_config.get("options", {})
   reboot_types = options.get("reboot-types", constants.REBOOT_TYPES)
   name = instance["name"]
   for rtype in reboot_types:
@@ -163,7 +163,7 @@ def TestInstanceRename(rename_source, rename_target):
 
 def TestInstanceFailover(instance):
   """gnt-instance failover"""
-  cmd = ['gnt-instance', 'failover', '--force', instance['name']]
+  cmd = ["gnt-instance", "failover", "--force", instance["name"]]
   # failover ...
   AssertCommand(cmd)
   # ... and back
@@ -196,7 +196,7 @@ def TestInstanceModify(instance):
   test_kernel = "/sbin/init"
   test_initrd = test_kernel
 
-  orig_memory = qa_config.get('mem')
+  orig_memory = qa_config.get("mem")
   #orig_bridge = qa_config.get("bridge", "xen-br0")
   args = [
     ["-B", "%s=128" % constants.BE_MEMORY],
@@ -255,7 +255,7 @@ def TestReplaceDisks(instance, pnode, snode, othernode):
   # due to unused pnode arg
   # FIXME: should be removed from the function completely
   def buildcmd(args):
-    cmd = ['gnt-instance', 'replace-disks']
+    cmd = ["gnt-instance", "replace-disks"]
     cmd.extend(args)
     cmd.append(instance["name"])
     return cmd
@@ -297,15 +297,15 @@ def TestInstanceExportNoTarget(instance):
 
 def TestInstanceImport(node, newinst, expnode, name):
   """gnt-backup import"""
-  cmd = (['gnt-backup', 'import',
-          '--disk-template=plain',
-          '--no-ip-check',
-          '--net', '0:mac=generate',
-          '--src-node=%s' % expnode['primary'],
-          '--src-dir=%s/%s' % (constants.EXPORT_DIR, name),
-          '--node=%s' % node['primary']] +
+  cmd = (["gnt-backup", "import",
+          "--disk-template=plain",
+          "--no-ip-check",
+          "--net", "0:mac=generate",
+          "--src-node=%s" % expnode["primary"],
+          "--src-dir=%s/%s" % (constants.EXPORT_DIR, name),
+          "--node=%s" % node["primary"]] +
          _GetGenericAddParameters())
-  cmd.append(newinst['name'])
+  cmd.append(newinst["name"])
   AssertCommand(cmd)
 
 
@@ -324,16 +324,16 @@ def _TestInstanceDiskFailure(instance, node, node2, onmaster):
   node2_full = qa_utils.ResolveNodeName(node2)
 
   print qa_utils.FormatInfo("Getting physical disk names")
-  cmd = ['gnt-node', 'volumes', '--separator=|', '--no-headers',
-         '--output=node,phys,instance',
-         node['primary'], node2['primary']]
-  output = qa_utils.GetCommandOutput(master['primary'], sq(cmd))
+  cmd = ["gnt-node", "volumes", "--separator=|", "--no-headers",
+         "--output=node,phys,instance",
+         node["primary"], node2["primary"]]
+  output = qa_utils.GetCommandOutput(master["primary"], sq(cmd))
 
   # Get physical disk names
-  re_disk = re.compile(r'^/dev/([a-z]+)\d+$')
+  re_disk = re.compile(r"^/dev/([a-z]+)\d+$")
   node2disk = {}
   for line in output.splitlines():
-    (node_name, phys, inst) = line.split('|')
+    (node_name, phys, inst) = line.split("|")
     if inst == instance_full:
       if node_name not in node2disk:
         node2disk[node_name] = []
@@ -359,19 +359,19 @@ def _TestInstanceDiskFailure(instance, node, node2, onmaster):
     AssertCommand(" && ".join(cmds), node=node_name)
 
   print qa_utils.FormatInfo("Getting device paths")
-  cmd = ['gnt-instance', 'activate-disks', instance['name']]
-  output = qa_utils.GetCommandOutput(master['primary'], sq(cmd))
+  cmd = ["gnt-instance", "activate-disks", instance["name"]]
+  output = qa_utils.GetCommandOutput(master["primary"], sq(cmd))
   devpath = []
   for line in output.splitlines():
-    (_, _, tmpdevpath) = line.split(':')
+    (_, _, tmpdevpath) = line.split(":")
     devpath.append(tmpdevpath)
   print devpath
 
   print qa_utils.FormatInfo("Getting drbd device paths")
-  cmd = ['gnt-instance', 'info', instance['name']]
-  output = qa_utils.GetCommandOutput(master['primary'], sq(cmd))
-  pattern = (r'\s+-\s+sd[a-z]+,\s+type:\s+drbd8?,\s+.*$'
-             r'\s+primary:\s+(/dev/drbd\d+)\s+')
+  cmd = ["gnt-instance", "info", instance["name"]]
+  output = qa_utils.GetCommandOutput(master["primary"], sq(cmd))
+  pattern = (r"\s+-\s+sd[a-z]+,\s+type:\s+drbd8?,\s+.*$"
+             r"\s+primary:\s+(/dev/drbd\d+)\s+")
   drbddevs = re.findall(pattern, output, re.M)
   print drbddevs
 
diff --git a/qa/qa_node.py b/qa/qa_node.py
index 6859cb9..434de38 100644
--- a/qa/qa_node.py
+++ b/qa/qa_node.py
@@ -36,32 +36,32 @@ from qa_utils import AssertCommand, AssertEqual
 
 
 def _NodeAdd(node, readd=False):
-  if not readd and node.get('_added', False):
-    raise qa_error.Error("Node %s already in cluster" % node['primary'])
-  elif readd and not node.get('_added', False):
-    raise qa_error.Error("Node %s not yet in cluster" % node['primary'])
-
-  cmd = ['gnt-node', 'add', "--no-ssh-key-check"]
-  if node.get('secondary', None):
-    cmd.append('--secondary-ip=%s' % node['secondary'])
+  if not readd and node.get("_added", False):
+    raise qa_error.Error("Node %s already in cluster" % node["primary"])
+  elif readd and not node.get("_added", False):
+    raise qa_error.Error("Node %s not yet in cluster" % node["primary"])
+
+  cmd = ["gnt-node", "add", "--no-ssh-key-check"]
+  if node.get("secondary", None):
+    cmd.append("--secondary-ip=%s" % node["secondary"])
   if readd:
-    cmd.append('--readd')
-  cmd.append(node['primary'])
+    cmd.append("--readd")
+  cmd.append(node["primary"])
 
   AssertCommand(cmd)
 
-  node['_added'] = True
+  node["_added"] = True
 
 
 def _NodeRemove(node):
   AssertCommand(["gnt-node", "remove", node["primary"]])
-  node['_added'] = False
+  node["_added"] = False
 
 
 def TestNodeAddAll():
   """Adding all nodes to cluster."""
   master = qa_config.GetMasterNode()
-  for node in qa_config.get('nodes'):
+  for node in qa_config.get("nodes"):
     if node != master:
       _NodeAdd(node, readd=False)
 
@@ -73,15 +73,15 @@ def MarkNodeAddedAll():
 
   """
   master = qa_config.GetMasterNode()
-  for node in qa_config.get('nodes'):
+  for node in qa_config.get("nodes"):
     if node != master:
-      node['_added'] = True
+      node["_added"] = True
 
 
 def TestNodeRemoveAll():
   """Removing all nodes from cluster."""
   master = qa_config.GetMasterNode()
-  for node in qa_config.get('nodes'):
+  for node in qa_config.get("nodes"):
     if node != master:
       _NodeRemove(node)
 
diff --git a/qa/qa_os.py b/qa/qa_os.py
index b050c16..5868a39 100644
--- a/qa/qa_os.py
+++ b/qa/qa_os.py
@@ -56,14 +56,14 @@ def TestOsDiagnose():
 
 def _TestOsModify(hvp_dict, fail=False):
   """gnt-os modify"""
-  cmd = ['gnt-os', 'modify']
+  cmd = ["gnt-os", "modify"]
 
   for hv_name, hv_params in hvp_dict.items():
-    cmd.append('-H')
+    cmd.append("-H")
     options = []
     for key, value in hv_params.items():
       options.append("%s=%s" % (key, value))
-    cmd.append('%s:%s' % (hv_name, ','.join(options)))
+    cmd.append("%s:%s" % (hv_name, ",".join(options)))
 
   cmd.append(_TEMP_OS_NAME)
   AssertCommand(cmd, fail=fail)
@@ -99,7 +99,7 @@ def _SetupTempOs(node, dirname, valid):
   parts.append(sq(["echo", str(constants.OS_API_V10)]) +
                " >ganeti_api_version")
 
-  cmd = ' && '.join(parts)
+  cmd = " && ".join(parts)
 
   print qa_utils.FormatInfo("Setting up %s with %s OS definition" %
                             (node["primary"],
diff --git a/qa/qa_rapi.py b/qa/qa_rapi.py
index e06d5e8..407279e 100644
--- a/qa/qa_rapi.py
+++ b/qa/qa_rapi.py
@@ -118,7 +118,7 @@ def Enabled():
   """Return whether remote API tests should be run.
 
   """
-  return qa_config.TestEnabled('rapi')
+  return qa_config.TestEnabled("rapi")
 
 
 def _DoTests(uris):
@@ -144,7 +144,7 @@ def _DoTests(uris):
 
 
 def _VerifyReturnsJob(data):
-  AssertMatch(data, r'^\d+$')
+  AssertMatch(data, r"^\d+$")
 
 
 def TestVersion():
@@ -152,7 +152,7 @@ def TestVersion():
 
   """
   _DoTests([
-    ("/version", constants.RAPI_VERSION, 'GET', None),
+    ("/version", constants.RAPI_VERSION, "GET", None),
     ])
 
 
@@ -193,16 +193,16 @@ def TestEmptyCluster():
         AssertIn(field, group)
 
   _DoTests([
-    ("/", None, 'GET', None),
-    ("/2/info", _VerifyInfo, 'GET', None),
-    ("/2/tags", None, 'GET', None),
-    ("/2/nodes", _VerifyNodes, 'GET', None),
-    ("/2/nodes?bulk=1", _VerifyNodesBulk, 'GET', None),
-    ("/2/groups", _VerifyGroups, 'GET', None),
-    ("/2/groups?bulk=1", _VerifyGroupsBulk, 'GET', None),
-    ("/2/instances", [], 'GET', None),
-    ("/2/instances?bulk=1", [], 'GET', None),
-    ("/2/os", None, 'GET', None),
+    ("/", None, "GET", None),
+    ("/2/info", _VerifyInfo, "GET", None),
+    ("/2/tags", None, "GET", None),
+    ("/2/nodes", _VerifyNodes, "GET", None),
+    ("/2/nodes?bulk=1", _VerifyNodesBulk, "GET", None),
+    ("/2/groups", _VerifyGroups, "GET", None),
+    ("/2/groups?bulk=1", _VerifyGroupsBulk, "GET", None),
+    ("/2/instances", [], "GET", None),
+    ("/2/instances?bulk=1", [], "GET", None),
+    ("/2/os", None, "GET", None),
     ])
 
   # Test HTTP Not Found
@@ -358,13 +358,13 @@ def TestInstance(instance):
       _VerifyInstance(instance_data)
 
   _DoTests([
-    ("/2/instances/%s" % instance["name"], _VerifyInstance, 'GET', None),
-    ("/2/instances", _VerifyInstancesList, 'GET', None),
-    ("/2/instances?bulk=1", _VerifyInstancesBulk, 'GET', None),
+    ("/2/instances/%s" % instance["name"], _VerifyInstance, "GET", None),
+    ("/2/instances", _VerifyInstancesList, "GET", None),
+    ("/2/instances?bulk=1", _VerifyInstancesBulk, "GET", None),
     ("/2/instances/%s/activate-disks" % instance["name"],
-     _VerifyReturnsJob, 'PUT', None),
+     _VerifyReturnsJob, "PUT", None),
     ("/2/instances/%s/deactivate-disks" % instance["name"],
-     _VerifyReturnsJob, 'PUT', None),
+     _VerifyReturnsJob, "PUT", None),
     ])
 
   # Test OpBackupPrepare
@@ -399,9 +399,9 @@ def TestNode(node):
       _VerifyNode(node_data)
 
   _DoTests([
-    ("/2/nodes/%s" % node["primary"], _VerifyNode, 'GET', None),
-    ("/2/nodes", _VerifyNodesList, 'GET', None),
-    ("/2/nodes?bulk=1", _VerifyNodesBulk, 'GET', None),
+    ("/2/nodes/%s" % node["primary"], _VerifyNode, "GET", None),
+    ("/2/nodes", _VerifyNodesList, "GET", None),
+    ("/2/nodes?bulk=1", _VerifyNodesBulk, "GET", None),
     ])
 
 
@@ -433,7 +433,7 @@ def TestTags(kind, name, tags):
 
   # Retrieve tags
   _DoTests([
-    (uri, _VerifyTags, 'GET', None),
+    (uri, _VerifyTags, "GET", None),
     ])
 
   # Remove tags
